CachingIterator::valid
CallbackFilterIterator::accept
Iteratory
PHP Manual

# The CallbackFilterIterator class

(PHP 5 >= 5.4.0)

## Wstęp

## Krótki opis klasy

CallbackFilterIterator extends FilterIterator implements Iterator , Traversable , OuterIterator {
/* Metody */
public __construct ( Iterator `$iterator` , callable `$callback` )
public string accept ( void )
/* Metody dziedziczone */
abstract bool FilterIterator::accept ( void )
FilterIterator::__construct ( Iterator `$iterator` )
mixed FilterIterator::current ( void )
Iterator FilterIterator::getInnerIterator ( void )
mixed FilterIterator::key ( void )
void FilterIterator::next ( void )
void FilterIterator::rewind ( void )
bool FilterIterator::valid ( void )
}

## Przykłady

The callback should accept up to three arguments: the current item, the current key and the iterator, respectively.

Przykład #1 Available callback arguments

`<?php
/**
* Callback for CallbackFilterIterator
*
* @param $current Current item's value
* @param $key Current item's key
* @param $iterator Iterator being filtered
* @return boolean TRUE to accept the current item, FALSE otherwise
*/
function my_callback($current, $key, $iterator) {
// Your filtering code here
}
?>`

Any callable may be used; such as a string containing a function name, an array for a method, or an anonymous function.

Przykład #2 Callback basic examples

`<?php
$dir = new FilesystemIterator(__DIR__);
// Filter large files ( > 100MB)
function is_large_file($current) {
return $current->isFile() && $current->getSize() > 104857600;
}
$large_files = new CallbackFilterIterator($dir, 'is_large_file');
// Filter directories
$files = new CallbackFilterIterator($dir, function ($current, $key, $iterator) {
return $current->isDir() && ! $iterator->isDot();
});
?>`

## Spis treści

- CallbackFilterIterator::accept — Calls the callback with the current value, the current key and the inner iterator as arguments
- CallbackFilterIterator::__construct — Create a filtered iterator from another iterator

CachingIterator::valid
CallbackFilterIterator::accept
Iteratory
PHP Manual